'use strict';

Object.defineProperty(exports, "__esModule", {
    value: true
});

var _postcss = require('postcss');

var _postcss2 = _interopRequireDefault(_postcss);

var _postcssValueParser = require('postcss-value-parser');

var _postcssValueParser2 = _interopRequireDefault(_postcssValueParser);

var _cssnanoUtilGetMatch = require('cssnano-util-get-match');

var _cssnanoUtilGetMatch2 = _interopRequireDefault(_cssnanoUtilGetMatch);

var _map = require('./lib/map');

var _map2 = _interopRequireDefault(_map);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { default: obj }; }

var getMatch = (0, _cssnanoUtilGetMatch2.default)(_map2.default);

function evenValues(list, index) {
    return index % 2 === 0;
}

function transform(node) {
    var _valueParser = (0, _postcssValueParser2.default)(node.value),
        nodes = _valueParser.nodes;

    if (nodes.length === 1) {
        return;
    }
    var match = getMatch(nodes.filter(evenValues).map(function (n) {
        return n.value;
    }));
    if (match) {
        node.value = match;
    }
}

exports.default = _postcss2.default.plugin('postcss-normalize-display-values', function () {
    return function (css) {
        return css.walkDecls('display', transform);
    };
});
module.exports = exports['default'];